Home | All Classes | Grouped Classes | Index | Search

# CL_SoundBuffer::set_pan

Sets the panning of the sound buffer played in measures from -1 -> 1

    	void set_pan(
    		float new_pan);

Parameters:

new_pan
  New pan of the sound buffer played.

Detailed description:

Setting the pan with a value of -1 will pan the sound buffer to the extreme left (left speaker only), 1 will pan the sound buffer to the extreme right (right speaker only).

See also:

CL_SoundBuffer

Questions or comments, write to the ClanLib mailing list.